package cn.superdesk.uniorder.openapi.config.exception;

import org.springframework.validation.BindingResult;

/**
 * @author xc
 * @description 参数校验异常
 * @date 2022/3/31 18:17
 */
public class ParameterNotValidException extends RuntimeException{
    private static final long serialVersionUID = 1L;
    private BindingResult bindingResult;

    public ParameterNotValidException(BindingResult bindingResult) {
        this.bindingResult = bindingResult;
    }

    public BindingResult getBindingResult() {
        return bindingResult;
    }

    @Override
    public String getMessage() {
        return "参数校验不通过";
    }
}
